---
title: <ms>
slug: Web/MathML/Element/ms
tags:
  - MathML
  - MathML Reference
  - 'MathML:Element'
  - 'MathML:Token Elements'
---
<div>{{MathMLRef}}</div>

<p class="summary">The MathML <code>&lt;ms&gt;</code> element represents a <em>string literal</em> meant to be interpreted by programming languages and computer algebra systems. By default, string literals are displayed as enclosed by double quotes (<code>&amp;quot;</code>); by using the <code>lquote</code> and <code>rquote</code> attributes, you can set custom characters to display. Note that quotation marks should not be specified unless they are part of the string literal. The content of an <code>&lt;ms&gt;</code> element is not an ASCII string per se, but rather a sequence of characters and {{ MathMLElement("mglyph") }} and {{ MathMLElement("malignmark") }} elements.</p>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt id="attr-class-id-style">class, id, style</dt>
 <dd>Provided for use with <a href="/en-US/docs/CSS">stylesheets</a>.</dd>
 <dt id="attr-dir">dir</dt>
 <dd>The text direction. Possible values are either <code>ltr</code> (left to right) or <code>rtl</code> (right to left).</dd>
 <dt id="attr-displaystyle"><code>displaystyle</code></dt>
 <dd>A Boolean value specifying whether more vertical space is used for displayed equations or, if set to <code>false</code>, a more compact layout is used to display formulas. The main effect is that larger versions of operators are displayed, when <code>displaystyle</code> is set to <code>true</code>. See also <code>largeop</code> and <code>movablelimits</code> on {{ MathMLElement("mo") }}.</dd>
 <dt id="attr-lquote">lquote</dt>
 <dd>The opening quote character (depends on <code><a href="#attr-dir">dir</a></code>) to enclose the content. The default value is "<code>&amp;quot;".</code></dd>
 <dt id="attr-href">href</dt>
 <dd>Used to set a hyperlink to a specified URI.</dd>
 <dt id="attr-mathbackground">mathbackground</dt>
 <dd>The background color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
 <dt id="attr-mathcolor">mathcolor</dt>
 <dd>The text color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
 <dt id="attr-mathsize">mathsize</dt>
 <dd>The size of the content. See <a href="/en-US/docs/CSS/length">length</a> for possible values.<br>
 Deprecated values are: <code>small</code>, <code>normal</code> and <code>big</code>. These will be removed in the future.</dd>
 <dt id="attr-mathvariant">mathvariant</dt>
 <dd>This attribute specifies the logical class of the identifier, which varies in typography. That is, although the names suggest the typographic style for the class, semantically, items with the same class are treated "the same" within an expression, which might or might not involve displaying them with the named typography. The following values are allowed:
 <ul>
  <li><code>normal</code> (Default value) ; <math><ms mathvariant="normal">Example</ms></math></li>
  <li><code>bold</code> ; <math><ms mathvariant="bold">Example</ms></math></li>
  <li><code>italic</code> ; <math><ms mathvariant="italic">Example</ms></math></li>
  <li><code>bold-italic</code> ; <math><ms mathvariant="bold-italic">Example</ms></math></li>
 </ul>

 <ul>
  <li><code>double-struck</code> ; <math><ms mathvariant="double-struck">Example</ms></math></li>
  <li><code>bold-fraktur</code> ; <math><ms mathvariant="bold-fraktur">Example</ms></math></li>
  <li><code>script</code> ; <math><ms mathvariant="script">Example</ms></math></li>
  <li><code>bold-script</code> ; <math><ms mathvariant="bold-script">Example</ms></math></li>
  <li><code>fraktur</code> ; <math><ms mathvariant="fraktur">Example</ms></math></li>
 </ul>

 <ul>
  <li><code>sans-serif</code> ; <math><ms mathvariant="sans-serif">Example</ms></math></li>
  <li><code>bold-sans-serif</code> ; <math><ms mathvariant="bold-sans-serif">Example</ms></math></li>
  <li><code>sans-serif-italic</code> ; <math><ms mathvariant="sans-serif-italic">Example</ms></math></li>
  <li><code>sans-serif-bold-italic</code> ; <math><ms mathvariant="sans-serif-bold-italic">Example</ms></math></li>
  <li><code>monospace</code> ; <math><ms mathvariant="monospace">Example</ms></math></li>
 </ul>

 <ul>
  <li><code>initial</code> ; <math><ms mathvariant="initial">مثال</ms></math></li>
  <li><code>tailed</code> ; <math><ms mathvariant="tailed">مثال</ms></math></li>
  <li><code>looped</code> ; <math><ms mathvariant="looped">مثال</ms></math></li>
  <li><code>stretched</code> ; <math><ms mathvariant="stretched">مثال</ms></math></li>
 </ul>
 </dd>
 <dt id="attr-rquote">rquote</dt>
 <dd>The closing quote mark (depends on <code><a href="#attr-dir">dir</a></code>) to enclose the content. The default value is "<code>&amp;quot;".</code></dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: html notranslate">&lt;math&gt;

  &lt;ms lquote="„" rquote="“"&gt; abc &lt;/ms&gt;

&lt;/math&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("MathMLCore", "#string-literal-ms", "ms")}}</td>
   <td>{{Spec2("MathMLCore")}}</td>
   <td>Draft specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML3', 'chapter3.html#presm.ms', 'ms') }}</td>
   <td>{{ Spec2('MathML3') }}</td>
   <td>Current specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML2', 'chapter3.html#presm.ms', 'ms') }}</td>
   <td>{{ Spec2('MathML2') }}</td>
   <td>Initial specification</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("mathml.elements.ms")}}</p>

<h2 id="Gecko-specific_notes">Gecko-specific notes</h2>

<ul>
 <li>Some <code>mathvariant</code> values are only implemented starting with Gecko 28.0 (Firefox 28.0 / Thunderbird 28.0 / SeaMonkey 2.25) and require appropriate <a href="/en-US/docs/Mozilla/MathML_Project/Fonts">math fonts</a>.</li>
</ul>
